> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Get a dataset (Deprecated)

GET https://api.sigmacomputing.com/v2/datasets/{datasetId}

Get a specific dataset by datasetId

  **Deprecation notice**: [Datasets](/docs/datasets) are deprecated. Starting June 2, 2026, you will no longer be able to create datasets or edit existing datasets. Migrate your datasets to data models and update any documents that use datasets as a data source to use a different source. See [Migrate a dataset to a data model](/docs/migrate-a-dataset-to-a-data-model).

  ### Usage notes
  - Retrieve the **datasetId** by calling the [/v2/datasets](https://help.sigmacomputing.com/reference/list-datasets) endpoint.
  

Reference: https://help.sigmacomputing.com/reference/get-dataset

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/datasets/{datasetId}:
    get:
      operationId: getDataset
      summary: Get a dataset (Deprecated)
      description: |-
        Get a specific dataset by datasetId

          **Deprecation notice**: [Datasets](/docs/datasets) are deprecated. Starting June 2, 2026, you will no longer be able to create datasets or edit existing datasets. Migrate your datasets to data models and update any documents that use datasets as a data source to use a different source. See [Migrate a dataset to a data model](/docs/migrate-a-dataset-to-a-data-model).

          ### Usage notes
          - Retrieve the **datasetId** by calling the [/v2/datasets](https://help.sigmacomputing.com/reference/list-datasets) endpoint.
          
      tags:
        - Datasets
      parameters:
        - name: datasetId
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/datasets_getDataset_Response_200'
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    V2DatasetsDatasetIdGetResponsesContentApplicationJsonSchemaMigrationToDataModel:
      type: object
      properties:
        dataModelId:
          type: string
        dataModelUrl:
          type: string
        migratedAt:
          type: string
          format: date-time
        migratedBy:
          type: string
      required:
        - dataModelId
        - dataModelUrl
        - migratedAt
        - migratedBy
      description: Details about migration to data model
      title: >-
        V2DatasetsDatasetIdGetResponsesContentApplicationJsonSchemaMigrationToDataModel
    V2DatasetsDatasetIdGetResponsesContentApplicationJsonSchemaMigrationStatus:
      type: string
      enum:
        - migrated
        - not-migrated
        - not-required
      description: >-
        An indicator of the dataset's migration status as displayed on the
        dataset migration admin page.
          - `not-required` indicates that the dataset is not used as a data source (in other words, it is not referenced by other documents) and likely does not need to be migrated to a data model.
          - `migrated` indicates that the dataset has already been migrated to a data model
          - `not-migrated` indicates that the dataset has not been migrated and is still in use as a data source
                
      title: >-
        V2DatasetsDatasetIdGetResponsesContentApplicationJsonSchemaMigrationStatus
    datasets_getDataset_Response_200:
      type: object
      properties:
        datasetId:
          type: string
        createdBy:
          type: string
        updatedBy:
          type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        name:
          type: string
        description:
          type: string
        url:
          type: string
        owner:
          type: string
        referenceCount:
          type: number
          format: double
          description: Count of inbound references to the dataset
        path:
          type: string
          description: Path describing dataset's ancestor workspace and folders
        migrationToDataModel:
          oneOf:
            - $ref: >-
                #/components/schemas/V2DatasetsDatasetIdGetResponsesContentApplicationJsonSchemaMigrationToDataModel
            - type: 'null'
          description: Details about migration to data model
        migrationStatus:
          $ref: >-
            #/components/schemas/V2DatasetsDatasetIdGetResponsesContentApplicationJsonSchemaMigrationStatus
          description: >-
            An indicator of the dataset's migration status as displayed on the
            dataset migration admin page.
              - `not-required` indicates that the dataset is not used as a data source (in other words, it is not referenced by other documents) and likely does not need to be migrated to a data model.
              - `migrated` indicates that the dataset has already been migrated to a data model
              - `not-migrated` indicates that the dataset has not been migrated and is still in use as a data source
                    
        isArchived:
          type: boolean
      required:
        - datasetId
        - createdBy
        - updatedBy
        - createdAt
        - updatedAt
        - name
        - description
        - url
        - owner
        - referenceCount
        - path
        - migrationToDataModel
        - migrationStatus
      title: datasets_getDataset_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "datasetId": "dset-9f8b7c6a5e4d3c2b1a0f",
  "createdBy": "alice.jones@example.com",
  "updatedBy": "bob.smith@example.com",
  "createdAt": "2024-01-15T09:30:00Z",
  "updatedAt": "2024-04-10T14:45:00Z",
  "name": "Sales Performance Q1 2024",
  "description": "Dataset containing sales performance metrics for Q1 2024 across all regions.",
  "url": "https://app.sigmacomputing.com/datasets/dset-9f8b7c6a5e4d3c2b1a0f",
  "owner": "carol.williams@example.com",
  "referenceCount": 5,
  "path": "/Workspaces/Marketing/Reports/Q1 2024",
  "migrationToDataModel": {
    "dataModelId": "dm-1234567890abcdef",
    "dataModelUrl": "https://app.sigmacomputing.com/datamodels/dm-1234567890abcdef",
    "migratedAt": "2024-05-01T11:00:00Z",
    "migratedBy": "david.lee@example.com"
  },
  "migrationStatus": "migrated",
  "isArchived": false
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/datasets/datasetId"

payload = {}
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/datasets/datasetId';
const options = {
  method: 'GET',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/datasets/datasetId"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/datasets/datasetId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sigmacomputing.com/v2/datasets/datasetId")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sigmacomputing.com/v2/datasets/datasetId', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/datasets/datasetId");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/datasets/datasetId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```